Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 593244 - Separating the inactive status for storage domain to inactive and maintenance
Separating the inactive status for storage domain to inactive and maintenance
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Retired
Component: ovirt-engine-core (Show other bugs)
unspecified
All Linux
high Severity high
: m1
: 3.1
Assigned To: Jon Choate
storage
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-18 06:07 EDT by Omer Frenkel
Modified: 2015-10-27 19:55 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-09 04:02:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
console log (254.94 KB, application/x-compressed-tar)
2012-01-26 08:43 EST, Avi Tal
no flags Details

  None (edit)
Description Omer Frenkel 2010-05-18 06:07:18 EDT
Description of problem:
separating the inactive status for storage domain to inactive and maintenance,
maintenance - the user moved the domain to maintenance
inactive - the domain is inactive due to a problem

for more details: BZ 592745
Comment 1 Yaniv Kaul 2010-06-08 16:06:54 EDT
If I could just understand why maintenance should be different than detach.
We have too many states, which the user does not even understand the difference between.
Comment 2 Ayal Baron 2010-06-09 02:04:41 EDT
detached - the domain is not part of any storage pool / DC
inactive - the domain is not accessible (failure of some kind), if it is sorted out, it should be automatically activated without user intervention
maintenance - the domain should not be accessed even if it is accessible (user stated that the domain should not be used right now) - but it cannot be attached to a different DC.
active - everything is fine

If you want to reduce the number of states then it's fine by me to unite detach and maintenance.
Comment 3 lpeer 2011-02-07 02:41:43 EST
This RFE is influencing the BE ability for automatic recovery.
In the current status when a storage domain is Inactive there is no indication if it is as result of an error or if the user put it to maintenance and the domain should not be accessed.

I would give this a high priority because we encountered many issues that could not be fixed because of this.
Comment 4 Avi Tal 2012-01-26 08:42:44 EST
Jenkins has found a scenario where this patch isn't working:
http://loki01.eng.lab.tlv.redhat.com/view/ovirt_internal/job/ovirt_automation_tests_restapi_jboss7/64/

Deactivating an ExportDomain turn to maintenance but then to inactive, just like the old design.
please check the following rest logs to follow the real deactivate process:
http://loki01.eng.lab.tlv.redhat.com/view/ovirt_internal/job/ovirt_automation_tests_restapi_jboss7/64/testReport/junit/automation/Storagedomains/Deactivate_Export_Storage_Domain/


After running some manual tests on jenkins, i found out that this bug reproduce only on Export domain and ISO domain
Comment 5 Avi Tal 2012-01-26 08:43:41 EST
Created attachment 557671 [details]
console log
Comment 6 Yaniv Kaul 2012-01-26 09:28:39 EST
How is the bug in MODIFIED state without a link to a patch?
Comment 8 Itamar Heim 2012-08-09 04:02:55 EDT
closing ON_QA bugs as oVirt 3.1 was released:
http://www.ovirt.org/get-ovirt/
Comment 9 Itamar Heim 2012-08-09 04:03:51 EDT
closing ON_QA bugs as oVirt 3.1 was released:
http://www.ovirt.org/get-ovirt/

Note You need to log in before you can comment on or make changes to this bug.